LOCARNA(1)

NAME
LocARNA - manual page for LocARNA 1.8.11

SYNOPSIS
locarna [-h,--help] [--galaxy-xml] [-V,--version] [-v,--verbose] [-q,--quiet] -m,--match=<score> -M,--mismatch=<score> --ribosum-file=<f> --use-ribosum=<bool> -i,--indel=<score> --indel-opening=<score> --unpaired_penalty=<score> -s,--struct-weight=<score> [-e,--exp-prob=<prob>] -t,--tau=<factor> -E,--exclusion=<score> [--stacking] [--new-stacking] [--struct-local=<bool>] [--sequ-local=<bool>] --free-endgaps=<spec> [--normalized=<L>] [--penalized=<PP>] -w,--width=<columns> [--clustal=<file>] [--stockholm=<file>] [--pp=<file>] [--alifold-consensus-dp] --consensus-structure=<type> [-L,--local-output] [--local-file-output] [-P,--pos-output] [--write-structure] [--score-components] [--stopwatch] -p,--min-prob=<prob> --max-bps-length-ratio=<factor> -D,--max-diff-am=<diff> -d,--max-diff=<diff> --max-diff-at-am=<diff> --max-diff-aln=<aln file> --max-diff-pw-aln=<alignment> [--max-diff-relax] -a,--min-am-prob=<amprob> -b,--min-bm-prob=<bmprob> [--kbest=<k>] [--better=<t>] [--mea-alignment] [--probcons-file=<file>] --match-prob-method=<int> --temperature=<int> --pf-struct-weight=<weight> [--mea-gapcost] --mea-alpha=<weight> --mea-beta=<weight> --mea-gamma=<weight> --probability-scale=<scale> [--write-match-probs=<file>] [--read-match-probs=<file>] [--write-arcmatch-scores=<file>] [--read-arcmatch-scores=<file>] [--read-arcmatch-probs=<file>] [--noLP] [<input1>] [<input2>]

DESCRIPTION
locarna - a tool for pairwise (global and local) alignment of RNA.

OPTIONS

  cmd_only:

-h,--help
    Help

--galaxy-xml
    Galaxy xml wrapper

-V,--version
    Version info

-v,--verbose
    Verbose

-q,--quiet
    Quiet

  Scoring_parameters:

-m,--match=<score>(50)
    Match score

-M,--mismatch=<score>(0)
    Mismatch score

--ribosum-file=<f>(RIBOSUM85_60)
    Ribosum file

--use-ribosum=<bool>(true)
    Use ribosum scores

-i,--indel=<score>(-350)
    Indel score

--indel-opening=<score>(-500)
    Indel opening score

--unpaired_penalty=<score>(0)
    Penalty for unpaired bases

-s,--struct-weight=<score>(200)
    Maximal weight of 1/2 arc match

-e,--exp-prob=<prob>
    Expected probability

-t,--tau=<factor>(0)
    Tau factor in percent

-E,--exclusion=<score>(0)
    Exclusion weight

--stacking
    Use stacking terms (needs stack-probs by RNAfold -p2)

--new-stacking
    Use new stacking terms (needs stack-probs by RNAfold -p2)

  Locality_type:

--struct-local=<bool>(false)
    Structure local

--sequ-local=<bool>(false)
    Sequence local

--free-endgaps=<spec>(----)
    Whether and which end gaps are free. order: L1,R1,L2,R2

--normalized=<L>(0)
    Normalized local alignment with parameter L

--penalized=<PP>(0)
    Penalized local alignment with penalty PP

  Controlling_output:

-w,--width=<columns>(120)
    Output width

--clustal=<file>
    ClustalW (aln) output

--stockholm=<file>
    Stockholm output

--pp=<file>
    PP output

--alifold-consensus-dp
    Compute consensus dot plot by alifold

--consensus-structure=<type>(alifold) Type of consensus structures written to screen and stockholm output [alifold|mea|none]

-L,--local-output
    Output only local sub-alignment (to standard out)

--local-file-output
    Write only local sub-alignment to output files

-P,--pos-output
    Output only local sub-alignment positions

--write-structure
    Write guidance structure in output

--score-components
    Output components of the score (experimental)

--stopwatch
    Print run time information.

  Heuristics for speed accuracy trade off:

-p,--min-prob=<prob>(0.0005)
    Minimal probability

--max-bps-length-ratio=<factor>(0.0) Maximal ratio of #base pairs divided by sequence length (default: no effect)

-D,--max-diff-am=<diff>(-1)
    Maximal difference for sizes of matched arcs

-d,--max-diff=<diff>(-1)
    Maximal difference for alignment traces

--max-diff-at-am=<diff>(-1)
    Maximal difference for alignment traces, only at arc match positions

--max-diff-aln=<aln file>()
    Maximal difference relative to given alignment (file in clustalw format))

--max-diff-pw-aln=<alignment>()
    Maximal difference relative to given alignment (string, delim=AMPERSAND)

--max-diff-relax
    Relax deviation constraints in multiple aligmnent

-a,--min-am-prob=<amprob>(0.0005) Minimal Arc-match probability

-b,--min-bm-prob=<bmprob>(0.0005) Minimal Base-match probability

  Special sauce options:

--kbest=<k>(-1)
    Enumerate k-best alignments

--better=<t>(-1000000)
    Enumerate alignments better threshold t

  MEA_score controlling options:

--mea-alignment
    Do MEA alignment

--probcons-file=<file>
    Probcons parameter file

--match-prob-method=<int>(0)
    Method for computation of match probs

--temperature=<int>(150)
    Temperature for PF-computation

--pf-struct-weight=<weight>(200)
    Structure weight in PF-computation

--mea-gapcost
    Use gap cost in mea alignment

--mea-alpha=<weight>(0)
    Weight alpha for MEA

--mea-beta=<weight>(200)
    Weight beta for MEA

--mea-gamma=<weight>(100)
    Weight gamma for MEA

--probability-scale=<scale>(10000) Scale for probabilities/resolution of mea score

--write-match-probs=<file>
    Write match probs to file (don't align!)

--read-match-probs=<file>
    Read match probabilities from file

--write-arcmatch-scores=<file>
    Write arcmatch scores (don't align!)

--read-arcmatch-scores=<file>
    Read arcmatch scores

--read-arcmatch-probs=<file>
    Read arcmatch probabilities (weight by mea_beta/100)

  Constraints:

--noLP
    No lonely pairs

  Input_files RNA sequences and pair probabilities:

<input1>
    Input file 1

<input2>
    Input file 2

REPORTING BUGS
Report bugs to <will (at) informatik.uni-freiburg.de>.